<?php
if (session_status() === PHP_SESSION_NONE) {
    session_start(); // Start session only if not already started
}
// Set session expiration time (2 days = 172800 seconds)
$session_lifetime = 172800; // 48 hours in seconds

// Check if the user is logged in
if (!isset($_SESSION['login_time'])) {
    $_SESSION['login_time'] = time(); // Set login time if not set
} else {
    // Check if session expired
    if ((time() - $_SESSION['login_time']) > $session_lifetime) {
        session_unset(); // Clear session variables
        session_destroy(); // Destroy session
        header("Location: login.php"); // Redirect to login page
        exit();
    }
}

if (isset($_SESSION['success_message'])) {
    echo '<div id="toast"  class="alert alert-success" style="background-color: #28a745; color: white;  margin-top: 6%; margin-left: 80%; font-weight: bold; font-size: 16px; padding: 12px 20px; border: 1px solid green; border-radius: 5px;  margin-bottom: 20px; width: 290px; z-index: 9999; position: fixed;">';
    echo $_SESSION['success_message'];
    echo '</div>';
    unset($_SESSION['success_message']); // Clear message after displaying
}
?>
